/*dfLink.h - Library for dfLink.
  Created by Daisuke DOYO, November 21, 2020.
  Updated by Daisuke DOYO, Feb 17, 2023.
  Updated by Daisuke DOYO, Jun 17, 2023.
  Released into the local domain.*/

#ifndef dfLink_h
#define dfLink_h
#include "Arduino.h"
#include <HTTPClient.h>

class dfLink{
  public:
    dfLink(String pkey);
    String turn_switch();
    String get_data(String field);
    String send_data(String idata, String fdata,String tdata);
    String send_To_LINE(String token,String msg);
  private:
    String _pkey;
    String _host;
    HTTPClient http;
};

#endif
