/*LINEにメッセージを送る
https://notify-bot.line.me/ja/
でLINEのアクセストークンを取得してください
*/

#include <dfLink.h>
#include <WiFi.h>

//使用環境に応じて変更-----------------------------------------------------
const char* ssid     = "";//繋げたいネットワーク
const char* password = "";//繋げたいネットワークのパスワード
String pkey = "";//端末ID
String token = "";//取得したLINEのtoken
//-------------------------------------------------------------------


//dfLinkインスタンス化-->conn1とよぶ
dfLink conn1(pkey);

void setup() {
  // put your setup code here, to run once:
    Serial.begin(74880);//esp32は74880
    WiFi.begin(ssid, password);
    Serial.println("WiFi connecting");
    while ((!(WiFi.status() == WL_CONNECTED))){
      delay(300);
      Serial.print(".");
    }
 
}

void loop() {
  String ret=conn1.send_To_LINE(token,"こんにちは");
  Serial.println(ret);
  delay(10000);
}
